MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# pcm_convert_state Struct Reference

This object is statically allocated (within another struct), and holds buffer allocations and the state for all kinds of PCM conversions. More...

`#include <pcm_convert.h>`

## Data Fields
struct pcm_resample_state | resample
struct pcm_dither | dither
struct pcm_buffer | format_buffer
| the buffer for converting the sample format
struct pcm_buffer | pack_buffer
| the buffer for converting to/from packed samples
struct pcm_buffer | channels_buffer
| the buffer for converting the channel count
struct pcm_buffer | byteswap_buffer
| the buffer for swapping the byte order

## Detailed Description

This object is statically allocated (within another struct), and holds buffer allocations and the state for all kinds of PCM conversions.

Definition at line 34 of file pcm_convert.h.

## Field Documentation

struct pcm_buffer pcm_convert_state::byteswap_buffer

the buffer for swapping the byte order

Definition at line 49 of file pcm_convert.h.

struct pcm_buffer pcm_convert_state::channels_buffer

the buffer for converting the channel count

Definition at line 46 of file pcm_convert.h.

struct pcm_dither pcm_convert_state::dither

Definition at line 37 of file pcm_convert.h.

struct pcm_buffer pcm_convert_state::format_buffer

the buffer for converting the sample format

Definition at line 40 of file pcm_convert.h.

struct pcm_buffer pcm_convert_state::pack_buffer

the buffer for converting to/from packed samples

Definition at line 43 of file pcm_convert.h.

struct pcm_resample_state pcm_convert_state::resample

Definition at line 35 of file pcm_convert.h.

The documentation for this struct was generated from the following file:

- src/pcm_convert.h